SystemOrganization addCategory: #'JQWidgetBox-Farbtastic-Dev-Example'!

JQWidgetExample subclass: #JQFarbtasticExample
	instanceVariableNames: 'color'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Farbtastic-Dev-Example'!

!JQFarbtasticExample classSide methodsFor: 'as yet unclassified' stamp: 'PaulDeBruicker 6/5/2011 20:56'!
description
	^'Farbtastic is a jQuery plug-in that can add one or more color picker widgets into a page through JavaScript. Each widget is then linked to an existing element (e.g. a text field) and will update the element''s value when a color is selected.'! !

!JQFarbtasticExample classSide methodsFor: 'as yet unclassified' stamp: 'PaulDeBruicker 6/5/2011 20:55'!
shortName
	^'farbtastic'! !

!JQFarbtasticExample methodsFor: 'as yet unclassified' stamp: 'PaulDeBruicker 6/5/2011 21:07'!
initialize 
	super initialize .
	color:='#6eabe7'.! !

!JQFarbtasticExample methodsFor: 'as yet unclassified' stamp: 'PaulDeBruicker 6/5/2011 21:35'!
renderContentOn: html
	(html div)
		style: 'width: 300px; height: 300px; background-color:' , color;
		with: [ 
					html
						form: [ 
							(html textInput)
								
								id: 'color';
								size: 10;
								value: color;
								callback: [ :val | color := val ].
							html submitButton with: 'Save Background Color' ].
					html div
						id:'colorpicker';
						script: (html jQuery this farbtastic target: '#color';
						 		setColor:'#FFFFFF');
						yourself.
						
							 ]! !

!JQFarbtasticExample methodsFor: 'as yet unclassified' stamp: 'PaulDeBruicker 6/5/2011 21:01'!
updateRoot: anHtmlRoot
		super updateRoot: anHtmlRoot.
		anHtmlRoot javascript url: self library / #farbtasticJs.
		anHtmlRoot stylesheet url: self library / #farbtasticCss.! !
